# KiBot output for compressing Fabrication files to a ZIP archive for JLCPCB
# https://kibot.readthedocs.io/en/latest/configuration/outputs/compress.html

kibot:
  version: 1

outputs:
  - name: @NAME@
    comment: '@COMMENT@'
    type: compress
    category: '@DIR@'
    dir: '@DIR@'
    options:
      output: '%f-Fabpack%I%v.%x'
      move_files: false
      files:
        - from_output: @GERBER_OUTPUT@
          dest: '/'
        - from_output: @DRILL_OUTPUT@
          dest: '/'

...
definitions:
  NAME: jlcpcb_fabpack
  COMMENT: Generates a ZIP file with gerbers and drill for JLCPCB
  DIR: mfg/fab
  GERBER_OUTPUT: jlcpcb_gerbers
  DRILL_OUTPUT: drl_excellon
